<template>
  <router-link to="/" class="absolute top-0 left-0">
    <Logo class="w-32 h-32" />
  </router-link>
  <div class="flex h-screen">
    <div
        class="relative left-[20%] flex flex-1 flex-col justify-center py-12 px-4 sm:px-6 lg:flex-none lg:px-20 xl:px-24 z-20">
      <div class=" relative bottom-[20%] height-[80%] relative mx-auto w-full max-w-sm lg:w-96 z-10">
        <div>
          <h2 class="mt-6 text-3xl font-bold tracking-tight text-gray-900">Welcome Back !</h2>
        </div>

        <div class="mt-8">
          <div class="mt-6">
            <form  @submit.prevent="submit" class="space-y-6">
              <div>
                <label for="email" class="block text-sm font-medium text-gray-700">Email</label>
                <div class="mt-1">
                  <input id="email" name="email" type="email" autocomplete="email" v-model="email" required
                         class="block w-full appearance-none rounded-md border border-gray-300 px-3 py-2 placeholder-gray-400 shadow-sm focus:border-indigo-500 focus:outline-none focus:ring-indigo-500 sm:text-sm"/>
                </div>
              </div>

              <div class="flex items-center justify-between">
                <div class="text-sm">
                  <a href="/register" class="font-medium text-indigo-600 hover:text-indigo-500">Not a member ? Register
                    you</a>
                </div>
              </div>

              <div class="space-y-1">
                <label for="password" class="block text-sm font-medium text-gray-700">Password</label>
                <div class="mt-1">
                  <input id="password" name="password" type="password" autocomplete="current-password" v-model="password" required
                         class="block w-full appearance-none rounded-md border border-gray-300 px-3 py-2 placeholder-gray-400 shadow-sm focus:border-indigo-500 focus:outline-none focus:ring-indigo-500 sm:text-sm"/>
                </div>
              </div>

              <div>
                <button type="submit"
                        class="flex w-full justify-center rounded-md border border-transparent bg-indigo-600 py-2 px-4 text-sm font-medium text-white shadow-sm hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-indigo-500 focus:ring-offset-2">
                  Sign in
                </button>
              </div>
            </form>
          </div>
        </div>
      </div>
      <img class="absolute bottom-0 left-0 z-0" src="../assets/icon/titan-login.png" alt="Titan"/>
    </div>
    <div class="relative hidden w-0 flex-1 lg:block">
      <img class="absolute right-0 h-full object-cover" src="../assets/pictures/snkLoginRight.jpeg" alt=""/>
    </div>
  </div>
</template>

<script>
import Logo from "../components/Logo.vue";
import title from "../helpers/title.js";

export default {
  name: "Login",
  components: {Logo},

  created() {
    title("Sign in")
  },

  data() {
    return {
      email: null,
      password: null
    }
  },

  methods:{
    submit(){
      const params = new URLSearchParams();
      params.append('email', this.email);
      params.append('password', this.password);

      this.$axios.post('/login', params,{
        headers: {'Access-Control-Allow-Origin': 'http://localhost/* , http://127.0.0.1/*'}
      }).then(({data, status}) => {
        if (status === 200){
          this.$store.setUser(data.user, data.auth, data.token)
          this.$router.push({ name: 'Home' })
        }else {
          alert(status)
        }

      }).catch(({response}) => {
        alert(response.data.code + ' ' + response.data.description)
      })
    }
  }
}
</script>

<style scoped>
:host {
  overflow: hidden;
}
</style>